Description

Test layer migration between GeoServer 2.2 and GeoServer 2.10.

A procedure describing the migration process and phase should be produced.

Such process should : 

migrate layers between postgres 8 and postgres 9

migrate layers from GS 2.2 to GS 2.10 (NB point migrated layers to postgres9 DB)

update layer metadata on geonetwork.

Subtasks:

Task # 10955: Provide production geoserver clone Closed

  Task # 10956: Clone geoserver.d4science.org Closed

History

#1 - Jan 24, 2018 11:26 AM - Vincenzo Terrano

- Status changed from New to In Progress

Configured on GeoServer2.10 a store that points to the same DB (Postgres 8.4 with extension Postgis 1.4.2) of GeoServer2.2, with creation of the

layer whose feature type is loaded from the DB.

The test proves that both GeoServer 2.2 and GeoServer 2.10 can point to the same database correctly.

So, we are waiting for a geoserver clone for a test on real data.

#2 - Feb 28, 2018 11:21 AM - Vincenzo Terrano

- Status changed from In Progress to Closed

The test layer migration on real data was successful.

The GSv2.10.5 istance in geoserver2-d.dev.d4science.org VM, works on migrated data.

#3 - Mar 13, 2018 12:11 PM - Fabio Sinibaldi

Hi Vincenzo, since these tests went well,

I'd try to migrate our development/preproduction instance to GS 2.10.5.

We still need to cover the change of metadata, though. 

One first approach might be to handle it via DNS (basically pointing the old GS hostname to the new instance), but this can only be a temporary

solution. I'm currently investigating on the best approach to perform a bulk update of hostnames in metadata. I'm creating related tickets right now.
